package com.aucma.dms.domain;

import com.aucma.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;



/**
 * 保养工单明细项目信息;检查每个项目的点巡检结果详情对象 dms_bills_maint_detail_project
 * 
 * @author xins
 * @date 2024-09-18
 */
public class DmsBillsMaintDetailProject extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 保养工单明细项目信息ID */
    private Long maintDetailProjectId;

    /** 保养工单明细ID */
    @Excel(name = "保养工单明细ID")
    private Long billsMaintDetailId;

    /** 保养项目ID */
    @Excel(name = "保养项目ID")
    private Long maintProjectId;

    /** 保养项目名称(冗余) */
    @Excel(name = "保养项目名称(冗余)")
    private String maintProjectName;

    /** 保养项目描述 */
    @Excel(name = "保养项目描述")
    private String maintProjectDesc;

    /** 保养项目状态（0待保养，1保养完成） */
    @Excel(name = "保养项目状态", readConverterExp = "0=待保养，1保养完成")
    private String maintProjectStatus;

    public void setMaintDetailProjectId(Long maintDetailProjectId) 
    {
        this.maintDetailProjectId = maintDetailProjectId;
    }

    public Long getMaintDetailProjectId() 
    {
        return maintDetailProjectId;
    }
    public void setBillsMaintDetailId(Long billsMaintDetailId) 
    {
        this.billsMaintDetailId = billsMaintDetailId;
    }

    public Long getBillsMaintDetailId() 
    {
        return billsMaintDetailId;
    }
    public void setMaintProjectId(Long maintProjectId) 
    {
        this.maintProjectId = maintProjectId;
    }

    public Long getMaintProjectId() 
    {
        return maintProjectId;
    }
    public void setMaintProjectName(String maintProjectName) 
    {
        this.maintProjectName = maintProjectName;
    }

    public String getMaintProjectName() 
    {
        return maintProjectName;
    }
    public void setMaintProjectDesc(String maintProjectDesc) 
    {
        this.maintProjectDesc = maintProjectDesc;
    }

    public String getMaintProjectDesc() 
    {
        return maintProjectDesc;
    }
    public void setMaintProjectStatus(String maintProjectStatus) 
    {
        this.maintProjectStatus = maintProjectStatus;
    }

    public String getMaintProjectStatus() 
    {
        return maintProjectStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("maintDetailProjectId", getMaintDetailProjectId())
            .append("billsMaintDetailId", getBillsMaintDetailId())
            .append("maintProjectId", getMaintProjectId())
            .append("maintProjectName", getMaintProjectName())
            .append("maintProjectDesc", getMaintProjectDesc())
            .append("maintProjectStatus", getMaintProjectStatus())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
